gsasl_random(3)

NAME
gsasl_random - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_random(char * data, size_t datalen);

ARGUMENTS

char * data
    output array to be filled with strong random data.

size_t datalen
    size of output array.

DESCRIPTION
Store cryptographically strong random data of given size in the provided buffer.

RETURN VALUE
Returns GSASL_OK iff successful.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.